# Uses of Interface
org.opensaml.xmlsec.signature.NamedCurve

Packages that use NamedCurve
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of NamedCurve in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return NamedCurve
Modifier and Type
Method
Description
`NamedCurve`
ECKeyValue.`getNamedCurve()`
Get the NamedCurve child element.
Methods in org.opensaml.xmlsec.signature with parameters of type NamedCurve
Modifier and Type
Method
Description
`void`
ECKeyValue.`setNamedCurve(NamedCurve newCurve)`
Set the NamedCurve child element.

## Uses of NamedCurve in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement NamedCurve
Modifier and Type
Class
Description
`class`
`NamedCurveImpl`
Concrete implementation of `NamedCurve`.
Fields in org.opensaml.xmlsec.signature.impl declared as NamedCurve
Modifier and Type
Field
Description
`private NamedCurve`
ECKeyValueImpl.`namedCurve`
NamedCurve child element value.
Methods in org.opensaml.xmlsec.signature.impl that return NamedCurve
Modifier and Type
Method
Description
`NamedCurve`
NamedCurveBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`NamedCurve`
NamedCurveBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`NamedCurve`
ECKeyValueImpl.`getNamedCurve()`
Get the NamedCurve child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type NamedCurve
Modifier and Type
Method
Description
`void`
ECKeyValueImpl.`setNamedCurve(NamedCurve newCurve)`
Set the NamedCurve child element.